org.apache.solr.client.solrj.impl

## Interface ClusterStateProvider

All Superinterfaces:
  AutoCloseable, Closeable

All Known Implementing Classes:
  HttpClusterStateProvider, ZkClientClusterStateProvider

    public interface ClusterStateProvider
    extends Closeable

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `connect()`
`String` `getAlias(String alias)` Given an alias, returns the collection name that this alias points to
`Object` `getClusterProperty(String propertyName)` Obtain a cluster property, or null if it doesn't exist.
`Object` `getClusterProperty(String propertyName, String def)` Obtain a cluster property, or the default value if it doesn't exist.
`String` `getCollectionName(String name)` Given a name, returns the collection name if an alias by that name exists, or returns the name itself, if no alias exists.
`ClusterState.CollectionRef` `getState(String collection)` Obtain the state of the collection (cluster status).
`Set<String>` `liveNodes()` Obtain set of live_nodes for the cluster.

### Methods inherited from interface java.io.Closeable

`close`

### Method Detail

#### getState

    ClusterState.CollectionRef getState(String collection)

Obtain the state of the collection (cluster status).

Returns:
  the collection state, or null is collection doesn't exist

#### liveNodes

    Set<String> liveNodes()

Obtain set of live_nodes for the cluster.

#### getAlias

    String getAlias(String alias)

Given an alias, returns the collection name that this alias points to

#### getCollectionName

    String getCollectionName(String name)

Given a name, returns the collection name if an alias by that name exists, or returns the name itself, if no alias exists.

#### getClusterProperty

    Object getClusterProperty(String propertyName)

Obtain a cluster property, or null if it doesn't exist.

#### getClusterProperty

    Object getClusterProperty(String propertyName,
                              String def)

Obtain a cluster property, or the default value if it doesn't exist.

#### connect

    void connect()